# Replace the text below to customize your site
site_name:  FabLab Kannai - Fab Academy 2022
site_description: Fab Academy documentation site for FabLab Kannai
site_author: Yuichi TAMIYA
copyright: Copyright 2022 Your name - Creative Commons Attribution Non Commercial

site_url: https://fabacademy.org/2022/labs/kannai/

extra:
  # Set your own social media below (or remove)
  social:
    # For other social icons at https://squidfunk.github.io/mkdocs-material/setup/adding-social-links/
    - icon: fontawesome/brands/instagram
      link: https://instagram.com/fabacademany
    - icon: fontawesome/brands/facebook
      link: https://facebook.com/fabacademany
    - icon: fontawesome/brands/twitter
      link: https://twitter.com/fabacademany
    - icon: fontawesome/brands/linkedin
      link: "https://linkedin.com/in/academany"

extra_css:
  - stylesheets/extra.css


theme:
  name: material
  #palette:
    # try other colors https://squidfunk.github.io/mkdocs-material/getting-started/#primary-colors
    #primary: deep
    #accent: red
  font:
    # See available fonts at https://fonts.google.com/
    text: Ubuntu
    code: Ubuntu Mono
  icon:
    logo: material/school
  favicon: images/favicon.svg
  features:
    - navigation.tabs
    - navigation.instant
  #  - navigation.sections

plugins:
  - search
  - git-revision-date-localized:
      fallback_to_build_date: true
      # Read more: https://timvink.github.io/mkdocs-git-revision-date-localized-plugin/options/#enabled
      enabled: !ENV [ENABLED_GIT_REVISION_DATE, False]
#  - mkdocs-video

markdown_extensions:
  - extra
  - smarty
  - admonition
  - codehilite:
      guess_lang: false
  - toc:
      permalink: true
